Name:		chromium-get-snap
Version:	0.8
Release:	3%{?dist}
Summary:	Chromium snapshot downloader and compat lib wrapper

Group:		Devel
License:	GPLv2+

Source0:        %{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %{ix86}
Requires:	nss, nspr, nss-mdns
Requires:       GConf2, gtk2, alsa-lib
Requires:       gtk-nodoka-engine
Requires:       wget

%description
Script to download chrome-linux builds with compat lib wrapping for ns libs


%prep
%{nil}

%build
%{nil}

%global _libdir %{_prefix}/lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/%{name}}

install --mode=755 -p %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{name}

for i in nss3 nssutil3 smime3 ssl3; do
  ln -s /lib/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.1d
done

for i in nspr4 plds4 plc4; do
  ln -s /lib/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.0d
done

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/lib*d
%doc README


%changelog
* Mon Aug 31 2009 Jens Petersen <petersen@redhat.com> - 0.8-3
- require wget

* Fri Aug 14 2009 Jens Petersen <petersen@redhat.com> - 0.8-2
- require nss-mdns

* Fri Aug 14 2009 Jens Petersen <petersen@redhat.com> - 0.8-1
- fix borked downloading latest

* Tue Aug 11 2009 Jens Petersen <petersen@redhat.com> - 0.7-1
- add optional arg to chromium-get-snap to allow specifying older build
- README file

* Tue Jul 28 2009 Jens Petersen <petersen@redhat.com> - 0.6-1
- make wget download verbose again

* Wed Jul 15 2009 Jens Petersen <petersen@redhat.com> - 0.5-1
- drop the Makefile hack
- no longer require gtk2-immodule-xim

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com>
- allow local custom Makefile to override
- quieten makefile when installing latest snapshot

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- explain about dir label file in error msg

* Sun Jun  7 2009 Jens Petersen <petersen@redhat.com> - 0.2-1
- stage in ~/usr/chromium-snap
- setup up a symlink to ~/bin/chromium
- require gtk-nodoka-engine and gtk-immodule-xim
- don't put Makefile in docs too

* Mon Jun  1 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial script to download latest snapshot
